For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
      • POSTRegister client usage metrics
      • POSTSend custom metrics
  • Frontend API
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Client APIMetrics

Register client usage metrics

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/client/metrics
POST
/api/client/metrics
$curl -X POST https://app.unleash-instance.example.com/api/client/metrics \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "appName": "insurance-selector"
>}'
1{}
Registers usage metrics. Stores information about how many times each flag was evaluated to enabled and disabled within a time frame. If provided, this operation will also store data on how many times each feature flag's variants were displayed to the end user.
Was this page helpful?
Previous

Send custom metrics

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

clientMetricsSchema
appNamestringRequired
The name of the application that is evaluating toggles
instanceIdstringOptional

A (somewhat) unique identifier for the application

sdkVersionstringOptional

An SDK version identifier. Usually formatted as “unleash-client-<language>:<version>”

platformNamestringOptional
The platform the application is running on. For languages that compile to binaries, this can be omitted
platformVersionstringOptional
The version of the platform the application is running on. Languages that compile to binaries, this is expected to be the compiler version used to assemble the binary.
yggdrasilVersionstringOptional
The semantic version of the Yggdrasil engine used by the client. If the client is using a native engine this can be omitted.
specVersionstringOptional
The version of the Unleash client specification the client supports
bucketobject or nullOptional
Holds all metrics gathered over a window of time. Typically 1 hour wide. May be omitted or null when the request only carries impact metrics.
environmentstringOptionalDeprecated
Which environment the application is running in. This property was deprecated in v5. This can be determined by the API key calling this endpoint.

Response

This response has no body.

Errors

400
Bad Request Error